package com.ruoyi.project.sems.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.project.sems.domain.DevData;
import com.ruoyi.project.sems.domain.TSpecdevCc;
import com.ruoyi.project.sems.his.domain.TSpechiCc;
import org.springframework.web.multipart.MultipartFile;

/**
 * 特种设备叉车台账Service接口
 *
 * @author ruoyi
 * @date 2021-07-26
 */
public interface ITSpecdevCcService extends IService<TSpecdevCc>
{
    /**
     * 查询特种设备叉车台账
     *
     * @param id 特种设备叉车台账ID
     * @return 特种设备叉车台账
     */
    public TSpecdevCc selectTSpecdevCcById(Long id);

    /**
     * 查询特种设备叉车台账列表
     *
     * @param tSpecdevCc 特种设备叉车台账
     * @return 特种设备叉车台账集合
     */
    public List<TSpecdevCc> selectTSpecdevCcList(TSpecdevCc tSpecdevCc);

    List<TSpecdevCc> selectTSpecdevCcListByYear(TSpecdevCc tSpecdevCc);
    /**
     * 新增特种设备叉车台账
     *
     * @param tSpecdevCc 特种设备叉车台账
     * @return 结果
     */
    public int insertTSpecdevCc(TSpecdevCc tSpecdevCc);

    /**
     * 修改特种设备叉车台账
     *
     * @param tSpecdevCc 特种设备叉车台账
     * @return 结果
     */
    public int updateTSpecdevCc(TSpecdevCc tSpecdevCc);

    /**
     * 批量删除特种设备叉车台账
     *
     * @param ids 需要删除的特种设备叉车台账ID
     * @return 结果
     */
    public int deleteTSpecdevCcByIds(Long[] ids);

    /**
     * 删除特种设备叉车台账信息
     *
     * @param id 特种设备叉车台账ID
     * @return 结果
     */
    public int deleteTSpecdevCcById(Long id);

    List<DevData> otherDevCount(Map<String, Object> params);

    int updateTSpecdevCcByHi(TSpechiCc hientity);

    void duplicateTSpecdevCc();

    int importFiles(List<MultipartFile> files, String plantCode, String fileType, String toString) throws Exception;
}
